diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
index e49e2d05..2f21c897 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
@@ -1068,12 +879,7 @@ void RTI1516ambassador::requestAttributeValueUpdate(
 void RTI1516ambassador::requestAttributeValueUpdate(
     rti1516::ObjectClassHandle theClass,
     rti1516::AttributeHandleSet const& theAttributes,
-    rti1516::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516::ObjectClassNotDefined,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     M_Request_Class_Attribute_Value_Update req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::requestClassAttributeValueUpdate" << std::endl;
@@ -1090,13 +896,7 @@ void RTI1516ambassador::requestAttributeValueUpdate(
 // 7.2
 void RTI1516ambassador::unconditionalAttributeOwnershipDivestiture(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandleSet const& theAttributes) throw(rti1516::ObjectInstanceNotKnown,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::AttributeNotOwned,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& theAttributes)
 {
     M_Unconditional_Attribute_Ownership_Divestiture req, rep;
     req.setObject(rti1516::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1114,14 +914,7 @@ void RTI1516ambassador::unconditionalAttributeOwnershipDivestiture(
 void RTI1516ambassador::negotiatedAttributeOwnershipDivestiture(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleSet const& theAttributes,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::AttributeNotOwned,
-                                                                 rti1516::AttributeAlreadyBeingDivested,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Negotiated_Attribute_Ownership_Divestiture req, rep;
     req.setObject(rti1516::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1143,15 +936,7 @@ void RTI1516ambassador::negotiatedAttributeOwnershipDivestiture(
 void RTI1516ambassador::confirmDivestiture(
     rti1516::ObjectInstanceHandle /*theObject*/,
     rti1516::AttributeHandleSet const& /*confirmedAttributes*/,
-    rti1516::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::AttributeNotOwned,
-                                                                 rti1516::AttributeDivestitureWasNotRequested,
-                                                                 rti1516::NoAcquisitionPending,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1161,15 +946,7 @@ void RTI1516ambassador::confirmDivestiture(
 void RTI1516ambassador::attributeOwnershipAcquisition(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleSet const& desiredAttributes,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::ObjectClassNotPublished,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::AttributeNotPublished,
-                                                                 rti1516::FederateOwnsAttributes,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Attribute_Ownership_Acquisition req, rep;
 
@@ -1192,16 +969,7 @@ void RTI1516ambassador::attributeOwnershipAcquisition(
 // 7.9
 void RTI1516ambassador::attributeOwnershipAcquisitionIfAvailable(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandleSet const& desiredAttributes) throw(rti1516::ObjectInstanceNotKnown,
-                                                                rti1516::ObjectClassNotPublished,
-                                                                rti1516::AttributeNotDefined,
-                                                                rti1516::AttributeNotPublished,
-                                                                rti1516::FederateOwnsAttributes,
-                                                                rti1516::AttributeAlreadyBeingAcquired,
-                                                                rti1516::FederateNotExecutionMember,
-                                                                rti1516::SaveInProgress,
-                                                                rti1516::RestoreInProgress,
-                                                                rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& desiredAttributes)
 {
     M_Attribute_Ownership_Acquisition_If_Available req, rep;
 
@@ -1222,13 +990,6 @@ void RTI1516ambassador::attributeOwnershipDivestitureIfWanted(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleSet const& theAttributes,
     rti1516::AttributeHandleSet& theDivestedAttributes) // filled by RTI
-    throw(rti1516::ObjectInstanceNotKnown,
-          rti1516::AttributeNotDefined,
-          rti1516::AttributeNotOwned,
-          rti1516::FederateNotExecutionMember,
-          rti1516::SaveInProgress,
-          rti1516::RestoreInProgress,
-          rti1516::RTIinternalError)
 {
     M_Attribute_Ownership_Release_Response req, rep;
 
@@ -1247,14 +1008,7 @@ void RTI1516ambassador::attributeOwnershipDivestitureIfWanted(
 // 7.13
 void RTI1516ambassador::cancelNegotiatedAttributeOwnershipDivestiture(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandleSet const& theAttributes) throw(rti1516::ObjectInstanceNotKnown,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::AttributeNotOwned,
-                                                            rti1516::AttributeDivestitureWasNotRequested,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& theAttributes)
 {
     M_Cancel_Negotiated_Attribute_Ownership_Divestiture req, rep;
 
@@ -1272,14 +1026,7 @@ void RTI1516ambassador::cancelNegotiatedAttributeOwnershipDivestiture(
 // 7.14
 void RTI1516ambassador::cancelAttributeOwnershipAcquisition(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandleSet const& theAttributes) throw(rti1516::ObjectInstanceNotKnown,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::AttributeAlreadyOwned,
-                                                            rti1516::AttributeAcquisitionWasNotRequested,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& theAttributes)
 {
     M_Cancel_Attribute_Ownership_Acquisition req, rep;
 
@@ -1297,12 +1044,7 @@ void RTI1516ambassador::cancelAttributeOwnershipAcquisition(
 // 7.16
 void RTI1516ambassador::queryAttributeOwnership(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandle theAttribute) throw(rti1516::ObjectInstanceNotKnown,
-                                                 rti1516::AttributeNotDefined,
-                                                 rti1516::FederateNotExecutionMember,
-                                                 rti1516::SaveInProgress,
-                                                 rti1516::RestoreInProgress,
-                                                 rti1516::RTIinternalError)
+    rti1516::AttributeHandle theAttribute)
 {
     M_Query_Attribute_Ownership req, rep;
 
@@ -1315,12 +1057,7 @@ void RTI1516ambassador::queryAttributeOwnership(
 // 7.18
 bool RTI1516ambassador::isAttributeOwnedByFederate(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::AttributeHandle theAttribute) throw(rti1516::ObjectInstanceNotKnown,
-                                                 rti1516::AttributeNotDefined,
-                                                 rti1516::FederateNotExecutionMember,
-                                                 rti1516::SaveInProgress,
-                                                 rti1516::RestoreInProgress,
-                                                 rti1516::RTIinternalError)
+    rti1516::AttributeHandle theAttribute)
 {
     M_Is_Attribute_Owned_By_Federate req, rep;
 
@@ -1337,15 +1074,7 @@ bool RTI1516ambassador::isAttributeOwnedByFederate(
 //////////////////////////////
 
 // 8.2
-void RTI1516ambassador::enableTimeRegulation(rti1516::LogicalTimeInterval const& theLookahead) throw(
-    rti1516::TimeRegulationAlreadyEnabled,
-    rti1516::InvalidLookahead,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::enableTimeRegulation(rti1516::LogicalTimeInterval const& theLookahead)
 {
     M_Enable_Time_Regulation req, rep;
 
@@ -1368,11 +1097,7 @@ void RTI1516ambassador::enableTimeRegulation(rti1516::LogicalTimeInterval const&
 }
 
 // 8.4
-void RTI1516ambassador::disableTimeRegulation() throw(rti1516::TimeRegulationIsNotEnabled,
-                                                      rti1516::FederateNotExecutionMember,
-                                                      rti1516::SaveInProgress,
-                                                      rti1516::RestoreInProgress,
-                                                      rti1516::RTIinternalError)
+void RTI1516ambassador::disableTimeRegulation()
 {
     M_Disable_Time_Regulation req, rep;
 
@@ -1380,40 +1105,21 @@ void RTI1516ambassador::disableTimeRegulation() throw(rti1516::TimeRegulationIsN
 }
 
 // 8.5
-void RTI1516ambassador::enableTimeConstrained() throw(rti1516::TimeConstrainedAlreadyEnabled,
-                                                      rti1516::InTimeAdvancingState,
-                                                      rti1516::RequestForTimeConstrainedPending,
-                                                      rti1516::FederateNotExecutionMember,
-                                                      rti1516::SaveInProgress,
-                                                      rti1516::RestoreInProgress,
-                                                      rti1516::RTIinternalError)
+void RTI1516ambassador::enableTimeConstrained()
 {
     M_Enable_Time_Constrained req, rep;
     privateRefs->executeService(&req, &rep);
 }
 
 // 8.7
-void RTI1516ambassador::disableTimeConstrained() throw(rti1516::TimeConstrainedIsNotEnabled,
-                                                       rti1516::FederateNotExecutionMember,
-                                                       rti1516::SaveInProgress,
-                                                       rti1516::RestoreInProgress,
-                                                       rti1516::RTIinternalError)
+void RTI1516ambassador::disableTimeConstrained()
 {
     M_Disable_Time_Constrained req, rep;
     privateRefs->executeService(&req, &rep);
 }
 
 // 8.8
-void RTI1516ambassador::timeAdvanceRequest(rti1516::LogicalTime const& theTime) throw(
-    rti1516::InvalidLogicalTime,
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::RequestForTimeConstrainedPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::timeAdvanceRequest(rti1516::LogicalTime const& theTime)
 {
     M_Time_Advance_Request req, rep;
 
@@ -1423,16 +1129,7 @@ void RTI1516ambassador::timeAdvanceRequest(rti1516::LogicalTime const& theTime)
 }
 
 // 8.9
-void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516::LogicalTime const& theTime) throw(
-    rti1516::InvalidLogicalTime,
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::RequestForTimeConstrainedPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516::LogicalTime const& theTime)
 {
     M_Time_Advance_Request_Available req, rep;
 
@@ -1443,16 +1140,7 @@ void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516::LogicalTime const&
 }
 
 // 8.10
-void RTI1516ambassador::nextMessageRequest(rti1516::LogicalTime const& theTime) throw(
-    rti1516::InvalidLogicalTime,
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::RequestForTimeConstrainedPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::nextMessageRequest(rti1516::LogicalTime const& theTime)
 {
     M_Next_Event_Request req, rep;
 
@@ -1463,16 +1151,7 @@ void RTI1516ambassador::nextMessageRequest(rti1516::LogicalTime const& theTime)
 }
 
 // 8.11
-void RTI1516ambassador::nextMessageRequestAvailable(rti1516::LogicalTime const& theTime) throw(
-    rti1516::InvalidLogicalTime,
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::RequestForTimeConstrainedPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::nextMessageRequestAvailable(rti1516::LogicalTime const& theTime)
 {
     M_Next_Event_Request_Available req, rep;
 
@@ -1483,16 +1162,7 @@ void RTI1516ambassador::nextMessageRequestAvailable(rti1516::LogicalTime const&
 }
 
 // 8.12
-void RTI1516ambassador::flushQueueRequest(rti1516::LogicalTime const& theTime) throw(
-    rti1516::InvalidLogicalTime,
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InTimeAdvancingState,
-    rti1516::RequestForTimeRegulationPending,
-    rti1516::RequestForTimeConstrainedPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::flushQueueRequest(rti1516::LogicalTime const& theTime)
 {
     // JvY: Implementation copied from previous CERTI implementation, including immediate throw.
     throw rti1516::RTIinternalError(L"Unimplemented Service flushQueueRequest");
@@ -1505,11 +1175,7 @@ void RTI1516ambassador::flushQueueRequest(rti1516::LogicalTime const& theTime) t
 }
 
 // 8.14
-void RTI1516ambassador::enableAsynchronousDelivery() throw(rti1516::AsynchronousDeliveryAlreadyEnabled,
-                                                           rti1516::FederateNotExecutionMember,
-                                                           rti1516::SaveInProgress,
-                                                           rti1516::RestoreInProgress,
-                                                           rti1516::RTIinternalError)
+void RTI1516ambassador::enableAsynchronousDelivery()
 {
     // throw AsynchronousDeliveryAlreadyEnabled("Default value (non HLA)");
 
@@ -1519,11 +1185,7 @@ void RTI1516ambassador::enableAsynchronousDelivery() throw(rti1516::Asynchronous
 }
 
 // 8.15
-void RTI1516ambassador::disableAsynchronousDelivery() throw(rti1516::AsynchronousDeliveryAlreadyDisabled,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+void RTI1516ambassador::disableAsynchronousDelivery()
 {
     M_Disable_Asynchronous_Delivery req, rep;
 
@@ -1531,10 +1193,7 @@ void RTI1516ambassador::disableAsynchronousDelivery() throw(rti1516::Asynchronou
 }
 
 // 8.16
-bool RTI1516ambassador::queryGALT(rti1516::LogicalTime& theTime) throw(rti1516::FederateNotExecutionMember,
-                                                                       rti1516::SaveInProgress,
-                                                                       rti1516::RestoreInProgress,
-                                                                       rti1516::RTIinternalError)
+bool RTI1516ambassador::queryGALT(rti1516::LogicalTime& theTime)
 {
     //TODO JRE: goed testen! Is GALT wel precies het zelfde als LBTS?
     M_Query_Lbts req, rep;
@@ -1554,10 +1213,7 @@ bool RTI1516ambassador::queryGALT(rti1516::LogicalTime& theTime) throw(rti1516::
 }
 
 // 8.17
-void RTI1516ambassador::queryLogicalTime(rti1516::LogicalTime& theTime) throw(rti1516::FederateNotExecutionMember,
-                                                                              rti1516::SaveInProgress,
-                                                                              rti1516::RestoreInProgress,
-                                                                              rti1516::RTIinternalError)
+void RTI1516ambassador::queryLogicalTime(rti1516::LogicalTime& theTime)
 {
     M_Query_Federate_Time req, rep;
 
@@ -1568,10 +1224,7 @@ void RTI1516ambassador::queryLogicalTime(rti1516::LogicalTime& theTime) throw(rt
 }
 
 // 8.18
-bool RTI1516ambassador::queryLITS(rti1516::LogicalTime& theTime) throw(rti1516::FederateNotExecutionMember,
-                                                                       rti1516::SaveInProgress,
-                                                                       rti1516::RestoreInProgress,
-                                                                       rti1516::RTIinternalError)
+bool RTI1516ambassador::queryLITS(rti1516::LogicalTime& theTime)
 {
     //TODO JRE: goed testen! Is LITS wel precies het zelfde als QueryMinNextEventTime?
     M_Query_Min_Next_Event_Time req, rep;
@@ -1590,40 +1243,21 @@ bool RTI1516ambassador::queryLITS(rti1516::LogicalTime& theTime) throw(rti1516::
 }
 
 // 8.19
-void RTI1516ambassador::modifyLookahead(rti1516::LogicalTimeInterval const& /*theLookahead*/) throw(
-    rti1516::TimeRegulationIsNotEnabled,
-    rti1516::InvalidLookahead,
-    rti1516::InTimeAdvancingState,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::modifyLookahead(rti1516::LogicalTimeInterval const& /*theLookahead*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 8.20
-void RTI1516ambassador::queryLookahead(rti1516::LogicalTimeInterval& /*interval*/) throw(
-    rti1516::TimeRegulationIsNotEnabled,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::queryLookahead(rti1516::LogicalTimeInterval& /*interval*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 8.21
-void RTI1516ambassador::retract(rti1516::MessageRetractionHandle theHandle) throw(
-    rti1516::InvalidRetractionHandle,
-    rti1516::TimeRegulationIsNotEnabled,
-    rti1516::MessageCanNoLongerBeRetracted,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::retract(rti1516::MessageRetractionHandle theHandle)
 {
     throw rti1516::RTIinternalError(L"Unimplemented Service retract");
     M_Retract req, rep;
@@ -1637,13 +1271,7 @@ void RTI1516ambassador::retract(rti1516::MessageRetractionHandle theHandle) thro
 // 8.23
 void RTI1516ambassador::changeAttributeOrderType(rti1516::ObjectInstanceHandle theObject,
                                                  rti1516::AttributeHandleSet const& theAttributes,
-                                                 rti1516::OrderType theType) throw(rti1516::ObjectInstanceNotKnown,
-                                                                                   rti1516::AttributeNotDefined,
-                                                                                   rti1516::AttributeNotOwned,
-                                                                                   rti1516::FederateNotExecutionMember,
-                                                                                   rti1516::SaveInProgress,
-                                                                                   rti1516::RestoreInProgress,
-                                                                                   rti1516::RTIinternalError)
+                                                 rti1516::OrderType theType)
 {
     M_Change_Attribute_Order_Type req, rep;
 
@@ -1655,12 +1283,7 @@ void RTI1516ambassador::changeAttributeOrderType(rti1516::ObjectInstanceHandle t
 
 // 8.24
 void RTI1516ambassador::changeInteractionOrderType(
-    rti1516::InteractionClassHandle theClass, rti1516::OrderType theType) throw(rti1516::InteractionClassNotDefined,
-                                                                                rti1516::InteractionClassNotPublished,
-                                                                                rti1516::FederateNotExecutionMember,
-                                                                                rti1516::SaveInProgress,
-                                                                                rti1516::RestoreInProgress,
-                                                                                rti1516::RTIinternalError)
+    rti1516::InteractionClassHandle theClass, rti1516::OrderType theType)
 {
     M_Change_Interaction_Order_Type req, rep;
 
@@ -1675,38 +1298,21 @@ void RTI1516ambassador::changeInteractionOrderType(
 //////////////////////////////////
 
 // 9.2
-rti1516::RegionHandle RTI1516ambassador::createRegion(rti1516::DimensionHandleSet const& /*theDimensions*/) throw(
-    rti1516::InvalidDimensionHandle,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+rti1516::RegionHandle RTI1516ambassador::createRegion(rti1516::DimensionHandleSet const& /*theDimensions*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 9.3
-void RTI1516ambassador::commitRegionModifications(rti1516::RegionHandleSet const& /*theRegionHandleSet*/) throw(
-    rti1516::InvalidRegion,
-    rti1516::RegionNotCreatedByThisFederate,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::commitRegionModifications(rti1516::RegionHandleSet const& /*theRegionHandleSet*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 9.4
-void RTI1516ambassador::deleteRegion(rti1516::RegionHandle /*theRegion*/) throw(rti1516::InvalidRegion,
-                                                                            rti1516::RegionNotCreatedByThisFederate,
-                                                                            rti1516::RegionInUseForUpdateOrSubscription,
-                                                                            rti1516::FederateNotExecutionMember,
-                                                                            rti1516::SaveInProgress,
-                                                                            rti1516::RestoreInProgress,
-                                                                            rti1516::RTIinternalError)
+void RTI1516ambassador::deleteRegion(rti1516::RegionHandle /*theRegion*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1716,17 +1322,7 @@ void RTI1516ambassador::deleteRegion(rti1516::RegionHandle /*theRegion*/) throw(
 rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegions(
     rti1516::ObjectClassHandle /*theClass*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const&
-        /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516::ObjectClassNotDefined,
-                                                              rti1516::ObjectClassNotPublished,
-                                                              rti1516::AttributeNotDefined,
-                                                              rti1516::AttributeNotPublished,
-                                                              rti1516::InvalidRegion,
-                                                              rti1516::RegionNotCreatedByThisFederate,
-                                                              rti1516::InvalidRegionContext,
-                                                              rti1516::FederateNotExecutionMember,
-                                                              rti1516::SaveInProgress,
-                                                              rti1516::RestoreInProgress,
-                                                              rti1516::RTIinternalError)
+        /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1735,19 +1331,7 @@ rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegio
 rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegions(
     rti1516::ObjectClassHandle /*theClass*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const& /*theAttributeHandleSetRegionHandleSetPairVector*/,
-    std::wstring const& /*theObjectInstanceName*/) throw(rti1516::ObjectClassNotDefined,
-                                                     rti1516::ObjectClassNotPublished,
-                                                     rti1516::AttributeNotDefined,
-                                                     rti1516::AttributeNotPublished,
-                                                     rti1516::InvalidRegion,
-                                                     rti1516::RegionNotCreatedByThisFederate,
-                                                     rti1516::InvalidRegionContext,
-                                                     rti1516::ObjectInstanceNameNotReserved,
-                                                     rti1516::ObjectInstanceNameInUse,
-                                                     rti1516::FederateNotExecutionMember,
-                                                     rti1516::SaveInProgress,
-                                                     rti1516::RestoreInProgress,
-                                                     rti1516::RTIinternalError)
+    std::wstring const& /*theObjectInstanceName*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -1757,15 +1341,7 @@ rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegio
 void RTI1516ambassador::associateRegionsForUpdates(
     rti1516::ObjectInstanceHandle /*theObject*/,
     rti1516::AttributeHandleSetRegionHandleSetPairVector const&
-        /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516::ObjectInstanceNotKnown,
-                                                              rti1516::AttributeNotDefined,
-                                                              rti1516::InvalidRegion,
-                                                              rti1516::RegionNotCreatedByThisFederate,
-                                                              rti1516::InvalidRegionContext,
-                                                              rti1516::FederateNotExecutionMember,
-                                                              rti1516::SaveInProgress,
-                                                              rti1516::RestoreInProgress,
-                                                              rti1516::RTIinternalError)
+        /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
